Bug 871429 - Network spoke: configuration info is not refreshed after switching the connection off and on.
Summary: Network spoke: configuration info is not refreshed after switching the connec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-30 12:39 UTC by Radek Vykydal
Modified: 2012-11-23 06:14 UTC (History)
5 users (show)

Fixed In Version: anaconda-18.22-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-23 06:14:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Radek Vykydal 2012-10-30 12:39:19 UTC
Go to network spoke, switch wired connection OFF and ON. Configuration info is missing.

New state NM_DEVICE_STATE_SECONDARIES has been added to NM, we need to ignore it in network spoke when refreshing UI.

Comment 1 Fedora Update System 2012-11-01 02:51:30 UTC
anaconda-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.22-1.fc18

Comment 2 Fedora Update System 2012-11-01 18:27:08 UTC
Package anaconda-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17432/anaconda-18.22-1.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-11-02 04:06:00 UTC
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18

Comment 4 Fedora Update System 2012-11-03 01:05:27 UTC
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18

Comment 5 Fedora Update System 2012-11-06 01:40:37 UTC
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18

Comment 6 Fedora Update System 2012-11-07 02:12:37 UTC
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18

Comment 7 Fedora Update System 2012-11-10 00:57:22 UTC
anaconda-18.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.28-1.fc18

Comment 8 Adam Williamson 2012-11-23 06:14:07 UTC
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(tested, looks fixed in Beta RC1.)


Note You need to log in before you can comment on or make changes to this bug.